
Redmine - Defect #4723

HTML is shown while the target version selection

2010-02-03 10:22 - Guillaume Camera

Status: Closed Start date: 2010-02-03

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Issues Estimated time: 0.00 hour

Target version:    

Resolution: Invalid Affected version: 0.9.1

Description

With Chrome and iceweasel web brower and the 0.9.1-1 redmine version,

on the target version selection, HTML is shown.

Obviously, the target selection doesn't work.

Screenshot : http://sky-sacrament.fr/redmine-bug.png

History

#1 - 2010-02-03 10:45 - Guillaume Camera

I'm using Debian and installed redmine by the debian packages manager.

The following code is that I think to be the code around the bug:

<p><label for="issue_fixed_version_id">Target version</label><select id="issue_fixed_version_id" name="issue[f

ixed_version_id]"><option value=""></option> 

<option value="&lt;option value=&quot;2&quot;&gt;0.1.1&lt;/option&gt;">&lt;option value=&quot;2&quot;&gt;0.1.1

&lt;/option&gt;

</option> 

<option value="&lt;option value=&quot;3&quot; selected=&quot;selected&quot;&gt;0.2.0&lt;/option&gt;">&lt;optio

n value=&quot;3&quot; selected=&quot;selected&quot;&gt;0.2.0&lt;/option&gt;</option></select> 

<a href="/issues/14" onclick="promptToRemote('New version', 'version[name]', '/projects/bigbangcode/versions/n

ew'); return false;" tabindex="200" title="New version"><img alt="Add" src="/images/add.png?1264849245" style=

"vertical-align: middle;" /></a> 

</p> 

#2 - 2010-02-03 11:29 - Jean-Philippe Lang

Looks very similar to #4376. Make sure you're using the appropriate Rails version for 0.9.1, which is Rails 2.3.5.

#3 - 2010-02-09 02:26 - Guillaume Camera

Indeed my rails version is under the rails version required, but, I installed redmine from the sid debian packagin,

May be there is an error on rails version dependency ?

#4 - 2010-02-09 03:39 - Eric Davis

Guillaume Camera wrote:

Indeed my rails version is under the rails version required, but, I installed redmine from the sid debian packagin,

May be there is an error on rails version dependency ?

 If I recall, the maintainer of the Debain package had to include a patched Redmine for Rails 2.2 because Debian doesn't have Rails 2.3.5 which

Redmine requires.  If ruby script/about doesn't say Rails 2.3.5, then I think this is a packaging bug for the Debian bug tracker.

#5 - 2010-02-10 01:08 - Nick Semenkovich

The bug has been reported upstream: http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=569080

#6 - 2010-02-10 01:32 - Jérémy Lal

I've fixed it and will release a new package soon.

This issue should be rejected as it is not a bug in the official redmine release.

Please report bugs to the debian bug tracking system,
since most of the time it will be rails 2.2 backporting bugs.

#7 - 2010-02-10 03:27 - Eric Davis

- Status changed from New to Closed

- Resolution set to Invalid

Thanks Jérémy Lal.

#8 - 2010-06-16 08:32 - David Ang

- Status changed from Closed to Reopened

Hi

This doesn't seem to be fixed on the latest version, I just deployed redmine now and i still see the html on the target version combo box.

#9 - 2010-06-16 09:03 - Felix Schäfer

David Ang wrote:

This doesn't seem to be fixed on the latest version, I just deployed redmine now and i still see the html on the target version combo box.

 What OS? Packaged redmine or from source? (if the answers are debian and packaged, please report to their bugtracker) What rails/ruby/rack

versions?

#10 - 2010-06-17 19:40 - David Ang

thanks for the quick response.

I deployed mine from the source(revision 3769). I am running on ruby 1.8.6, rails 2.3.8. I am not using rack.

#11 - 2010-06-17 20:59 - Felix Schäfer

David Ang wrote:

thanks for the quick response.

I deployed mine from the source(revision 3769). I am running on ruby 1.8.6, rails 2.3.8. I am not using rack.

 I'll be damned if you don't use rack... Anyway, rails 2.3.8 is not supported, try 2.3.5.

#12 - 2010-06-20 18:43 - David Ang

oh wow thanks, that kinda do the trick.

On second thought, I guess rack is built into rails already, not sure what its use is, I suppose its working doing its deeds behind the scene.

#13 - 2010-06-20 19:17 - Felix Schäfer

- Status changed from Reopened to Closed
